package com.hai.service;

import com.hai.entity.HighGasOrder;

/**
 * 加油订单
 * @className: HighGasOrderService
 * @author: HuRui
 * @date: 2022/9/6
 **/
public interface HighGasOrderService {

    /**
     * 增加订单
     * @param gasOrder
     */
    void addGasOrder(HighGasOrder gasOrder);

    /**
     * 修改订单
     * @param gasOrder
     */
    void updateGasOrder(HighGasOrder gasOrder);

    /**
     *  根据子订单编号获取详情
     * @param childOrderNo 子订单编号
     * @return
     */
    HighGasOrder getDetailByChildOrderNo(String childOrderNo);

}
